# Uses of Class
org.springframework.http.server.reactive.observation.ServerRequestObservationContext

Packages that use ServerRequestObservationContext
Package
Description
org.springframework.http.server.reactive.observation
Instrumentation for `observing` reactive HTTP server applications.
org.springframework.web.filter.reactive
`WebFilter` implementations for use in reactive web applications.

## Uses of ServerRequestObservationContext in org.springframework.http.server.reactive.observation

Methods in org.springframework.http.server.reactive.observation that return types with arguments of type ServerRequestObservationContext
Modifier and Type
Method
Description
`static Optional<ServerRequestObservationContext>`
ServerRequestObservationContext.`findCurrent(Map<String,Object> attributes)`
Get the current `observation context` from the given attributes, if available.
Methods in org.springframework.http.server.reactive.observation with parameters of type ServerRequestObservationContext
Modifier and Type
Method
Description
`protected io.micrometer.common.KeyValue`
DefaultServerRequestObservationConvention.`exception(ServerRequestObservationContext context)`
`String`
DefaultServerRequestObservationConvention.`getContextualName(ServerRequestObservationContext context)`
`io.micrometer.common.KeyValues`
DefaultServerRequestObservationConvention.`getHighCardinalityKeyValues(ServerRequestObservationContext context)`
`io.micrometer.common.KeyValues`
DefaultServerRequestObservationConvention.`getLowCardinalityKeyValues(ServerRequestObservationContext context)`
`protected io.micrometer.common.KeyValue`
DefaultServerRequestObservationConvention.`httpUrl(ServerRequestObservationContext context)`
`protected io.micrometer.common.KeyValue`
DefaultServerRequestObservationConvention.`method(ServerRequestObservationContext context)`
`protected io.micrometer.common.KeyValue`
DefaultServerRequestObservationConvention.`outcome(ServerRequestObservationContext context)`
`protected io.micrometer.common.KeyValue`
DefaultServerRequestObservationConvention.`status(ServerRequestObservationContext context)`
`protected io.micrometer.common.KeyValue`
DefaultServerRequestObservationConvention.`uri(ServerRequestObservationContext context)`

## Uses of ServerRequestObservationContext in org.springframework.web.filter.reactive

Methods in org.springframework.web.filter.reactive that return types with arguments of type ServerRequestObservationContext
Modifier and Type
Method
Description
`static Optional<ServerRequestObservationContext>`
ServerHttpObservationFilter.`findObservationContext(ServerWebExchange exchange)`
Deprecated, for removal: This API element is subject to removal in a future version.
Get the current `observation context` from the given request, if available.